List Available Alert Actions
ExperimentalThis API is under active development and may change.
GET /api/0/organizations/{organization_id_or_slug}/available-actions/
Returns a list of available actions for a given org
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
type(array(string))- choices:
- discord
- github
- github_enterprise
- jira
- jira_server
- msteams
- opsgenie
- pagerduty
- seer_workflow
- sentry_app
- slack
- slack_staging
- vsts
- webhook
Filter by action type. Can be specified multiple times.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:org:adminorg:readorg:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/available-actions/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied.
Was this helpful?